LSC can only lists installed applications when lubuntu installed via alternate image - Work around released.

Bug #1467517 reported by Phill Whiteside on 2015-06-22
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Lubuntu Software Center
Undecided
Unassigned
lubuntu-software-center (Ubuntu)
Low
Unassigned
Nominated for Wily by Alberto Salvia Novella

Bug Description

LSC can not see any extra applications to install, only what is already installed

ProblemType: Bug
DistroRelease: Ubuntu 15.10
Package: lubuntu-software-center 0.0.10-0ubuntu1
ProcVersionSignature: Ubuntu 3.19.0-22.22-generic 3.19.8-ckt1
Uname: Linux 3.19.0-22-generic x86_64
ApportVersion: 2.17.3-0ubuntu4
Architecture: amd64
CurrentDesktop: LXDE
Date: Mon Jun 22 14:23:26 2015
EcryptfsInUse: Yes
InstallationDate: Installed on 2015-06-21 (0 days ago)
InstallationMedia: Lubuntu 15.10 "Wily Werewolf" - Alpha amd64 (20150621)
PackageArchitecture: all
SourcePackage: lubuntu-software-center
UpgradeStatus: No upgrade log present (probably fresh install)

Phill Whiteside (phillw) wrote :
Phill Whiteside (phillw) wrote :

Upon starting from terminal the folllowing output appears..

ubuntu@lubuntu:~$ lubuntu-software-center
(19:15:38) phillw-virtual: ** (lubuntu-software-center:1671): WARNING **: Error retrieving accessibility bus address: org.freedesktop.DBus.Error.ServiceUnknown: The name org.a11y.Bus was not provided by any .service files
(19:15:38) phillw-virtual: /usr/lib/python2.7/dist-packages/aptdaemon/gtk3widgets.py:424: Warning: The property GtkSettings:gtk-button-images is deprecated and shouldn't be used anymore. It will be removed in a future version.
   self.set_label(Gtk.STOCK_CANCEL)
 DEBUG 2015-06-25 19:11:22,462 __init__ 44 Opening config file
 DEBUG 2015-06-25 19:11:22,495 __init__ 44 Opening config file
 /usr/lib/python2.7/dist-packages/LSC/widgets/appsview.py:63: Warning: The property GtkButton:use-stock is deprecated and shouldn't be used anymore. It will be removed in a future version.
   self.details_button = Gtk.Button.new_from_stock(Gtk.STOCK_INFO)
 Reading package lists... Done
 Building dependency tree
 Reading state information... Done
DEBUG 2015-06-25 19:11:23,639 __init__ 44 Opening config file

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in lubuntu-software-center (Ubuntu):
status: New → Confirmed
Changed in lubuntu-software-center (Ubuntu):
importance: Undecided → Critical
Changed in lubuntu-software-center (Ubuntu):
status: Confirmed → Triaged
Phill Whiteside (phillw) wrote :

The maintainer (not original author) considers it to be too much of a re-write to catch this instance that affects LSC only with alternate and the workaround works fine.

Workaround is launch X-Terminal and issue the command:

sudo dpkg-reconfigure lubuntu-software-center

There will be a lot of 'not found' errors, but the command will complete with no final error and LSC will list all available applications etc.

summary: - LSC can only 'see' installed applications
+ LSC can only 'see' installed applications - Work around released.
Walter Lapchynski (wxl) on 2015-08-25
Changed in lubuntu-software-center:
status: New → Won't Fix
Changed in lubuntu-software-center (Ubuntu):
status: Triaged → Won't Fix
importance: Critical → Low

This bug has been reported on the Ubuntu ISO testing tracker.

A list of all reports related to this bug can be found here:
http://iso.qa.ubuntu.com/qatracker/reports/bugs/1467517

tags: added: iso-testing
Phill Whiteside (phillw) on 2015-12-17
summary: - LSC can only 'see' installed applications - Work around released.
+ LSC can only 'see' installed applications when lubuntu installed via
+ alternate image - Work around released.

The part that builds the database I doubt has been altered. Jorn said it
was too much effort as it seems pretty broken. I'll give it a try when I'm
on the A1 test series after Christmas

Phill.

On 17 December 2015 at 20:50, Walter Lapchynski <email address hidden> wrote:

> I'm curious: is the py3 version any better? https://code.launchpad.net
> /~lubuntu-dev/lubuntu-software-center/python3
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1467517
>
> Title:
> LSC can only 'see' installed applications when lubuntu installed via
> alternate image - Work around released.
>
> Status in Lubuntu Software Center:
> Won't Fix
> Status in lubuntu-software-center package in Ubuntu:
> Won't Fix
>
> Bug description:
> LSC can not see any extra applications to install, only what is
> already installed
>
> ProblemType: Bug
> DistroRelease: Ubuntu 15.10
> Package: lubuntu-software-center 0.0.10-0ubuntu1
> ProcVersionSignature: Ubuntu 3.19.0-22.22-generic 3.19.8-ckt1
> Uname: Linux 3.19.0-22-generic x86_64
> ApportVersion: 2.17.3-0ubuntu4
> Architecture: amd64
> CurrentDesktop: LXDE
> Date: Mon Jun 22 14:23:26 2015
> EcryptfsInUse: Yes
> InstallationDate: Installed on 2015-06-21 (0 days ago)
> InstallationMedia: Lubuntu 15.10 "Wily Werewolf" - Alpha amd64 (20150621)
> PackageArchitecture: all
> SourcePackage: lubuntu-software-center
> UpgradeStatus: No upgrade log present (probably fresh install)
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/lubuntu-software-center/+bug/1467517/+subscriptions
>

Phill Whiteside (phillw) on 2016-01-04
summary: - LSC can only 'see' installed applications when lubuntu installed via
+ LSC can only lists installed applications when lubuntu installed via
alternate image - Work around released.
Simon Quigley (tsimonq2) wrote :

Confirmed in Lubuntu Xenial Xerus Alpha 2.

Simon Quigley (tsimonq2) wrote :

This is no longer a problem.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers